package com.bocloud.nms.model.veeam;

public class SessionModel {

    private String id;
    private String name;
    private String activityId;
    private String sessionType;
    private String creationTime;
    private String endTime;
    private String state;
    private Integer progressPercent;
    private SessionResultModel result;
    private String resourceId;
    private String resourceReference;
    private String parentSessionId;
    private Integer usn;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getActivityId() {
        return activityId;
    }

    public void setActivityId(String activityId) {
        this.activityId = activityId;
    }

    public String getSessionType() {
        return sessionType;
    }

    public void setSessionType(String sessionType) {
        this.sessionType = sessionType;
    }

    public String getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Integer getProgressPercent() {
        return progressPercent;
    }

    public void setProgressPercent(Integer progressPercent) {
        this.progressPercent = progressPercent;
    }

    public SessionResultModel getResult() {
        return result;
    }

    public void setResult(SessionResultModel result) {
        this.result = result;
    }

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceReference() {
        return resourceReference;
    }

    public void setResourceReference(String resourceReference) {
        this.resourceReference = resourceReference;
    }

    public String getParentSessionId() {
        return parentSessionId;
    }

    public void setParentSessionId(String parentSessionId) {
        this.parentSessionId = parentSessionId;
    }

    public Integer getUsn() {
        return usn;
    }

    public void setUsn(Integer usn) {
        this.usn = usn;
    }

    @Override
    public String toString() {
        return "SessionModel{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", activityId='" + activityId + '\'' +
                ", sessionType='" + sessionType + '\'' +
                ", creationTime='" + creationTime + '\'' +
                ", endTime='" + endTime + '\'' +
                ", state='" + state + '\'' +
                ", progressPercent=" + progressPercent +
                ", result=" + result +
                ", resourceId='" + resourceId + '\'' +
                ", resourceReference='" + resourceReference + '\'' +
                ", parentSessionId='" + parentSessionId + '\'' +
                ", usn=" + usn +
                '}';
    }
}
